<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php

if($nrocadsususuario!=''){

//	$sql = "SELECT 1 FROM cultura.usuario WHERE nrocadsususuario = '$nrocadsususuario'";

   $sql = "SELECT 1
	        FROM   cabcomum.pessoa_documento
			  WHERE  idtipo_documento = 6         AND
			         numero = '$nrocadsususuario' AND
                     idpessoa <> $idpessoa";

	$result = pg_query($dbh, $sql);

	if (!$result)
	{
	   $erro = "Erro na leitura de dados do cadsus na base de dados";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
	   header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
	   exit;
	}else{
		if(pg_num_rows($result)>0){
			$erro = "CADSUS j� cadastrado";
			$_SESSION["f_retorno"]= $erro;
			pg_close($dbh);
			header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
			exit;
		}
	}
}

if($cpfusuario!='')
{
    $cpfUser =    substr($cpfusuario,0,3) .
                  substr($cpfusuario,4,3) .
                  substr($cpfusuario,8,3) .
                  substr($cpfusuario,12,2) ;

//	$sql = "SELECT 1 FROM cultura.usuario WHERE cpfusuario = '$cpfusuario'";

   $sql = "SELECT 1
	        FROM   cabcomum.pessoa_documento
			  WHERE  idtipo_documento = 5   AND
			         numero = '$cpfUser' AND
                     idpessoa <> $idpessoa";

	$result = pg_query($dbh, $sql);

	if (!$result)
	{
	   $erro = "Erro na leitura dos dados de cpf na base de dados";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
	   header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
	   exit;
	}else{
		if(pg_num_rows($result)>0){
			$erro = "CPF j� cadastrado";
			$_SESSION["f_retorno"]= $erro;
			pg_close($dbh);
			header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
			exit;
		}

	}
}

if($rgusuario!=''){
	//Testa se tem algum usu�rio com este rg
//	$sql = "SELECT 1 FROM cultura.usuario WHERE rgusuario = '$rgusuario' and rgusuarioestado = '$rgusuarioestado' and rgusuarioorgaoemissor = '$rgusuarioorgaoemissor'";

   $sql = "SELECT 1
	        FROM   cabcomum.pessoa_documento
	        WHERE  idtipo_documento = 1               AND
			       numero = '$rgusuario'              AND
			       idestado = $rgusuarioestado        AND
			       idorgao = '$rgusuarioorgaoemissor' AND
                   idpessoa <> $idpessoa";

$result = pg_query($dbh, $sql);

	if (!$result)
	{
	   $erro = "Erro na leitura dos dados de rg na base de dados";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
	   header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
	   exit;
	}else{
		if(pg_num_rows($result)>0){
			$erro = "RG j� cadastrado";
			$_SESSION["f_retorno"]= $erro;
			pg_close($dbh);
			header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
			exit;
		}

	}
}

if ($carteiratrabusuario!=''){

//   $sql = "SELECT 1 FROM cultura.usuario WHERE carteiratrabusuario = '$carteiratrabusuario' and carteiratrabusuarioserie ='$carteiratrabusuarioserie' and carteiratrabusuarioestado = '$carteiratrabusuarioestado'";

   $sql = "SELECT 1
	        FROM   cabcomum.pessoa_documento
	        WHERE  idtipo_documento = 2                     AND
			       numero = '$carteiratrabusuario'          AND
  	               serie = '$carteiratrabusuarioserie'      AND
			       idestado = $carteiratrabusuarioestado    AND
                   idpessoa <> $idpessoa";
                   
	$result = pg_query($dbh, $sql);

	if (!$result)
	{
	   $erro = "Erro na leitura dos dados da  carteira de trabalho na base de dados";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
	   header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
	   exit;
	}else{
		if(pg_num_rows($result)>0){
			$erro = "Carteira de trabalho j� cadastrada";
			$_SESSION["f_retorno"]= $erro;
			pg_close($dbh);
			header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
			exit;
		}

	}
}

if($cartmotoristausuario!=''){

//  $sql = "SELECT 1 FROM cultura.usuario WHERE cartmotoristausuario = '$cartmotoristausuario'";

	$sql = "SELECT 1
	        FROM   cabcomum.pessoa_documento
            WHERE  idtipo_documento = 8 AND
                   numero = '$cartmotoristausuario' AND
                   idpessoa <> $idpessoa";

	$result = pg_query($dbh, $sql);

	if (!$result)
	{
	   $erro = "Erro na leitura dos dados da cnh na base de dados";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
	   header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
	   exit;
	}else{
		if(pg_num_rows($result)>0){
			$erro = "Carteira de motorista j� cadastrada";
			$_SESSION["f_retorno"]= $erro;
			pg_close($dbh);
			header('location:cadastro.php?reacao=retorno&acao=atualizar'.'&'.$p);
			exit;
		}

	}
}

//ATUALIZA O USUARIO

$sql = "UPDATE cultura.usuario
   SET semdocumentosusuario='$semdocumentosusuario', nomeusuario='$nomeusuario', nrocadsususuario='$nrocadsususuario', 
       nrocadsususuarioapresentada='$nrocadsususuarioapresentada', nrocadsususuariodigitalizada='$nrocadsususuariodigitalizada', 
       sexousuario='$sexousuario', corracausuario='$corracausuario', datanascimentousuario='$datanascimentousuario', codigomunicipiousuario='$codigomunicipiousuario',
       codigoufusuario='$ufnascimentousuario', nisusuario='$nisusuario', nisusuarioapresentada='$nisusuarioapresentada', nisusuariodigitalizada='$nisusuariodigitalizada',
       cpfusuario='$cpfusuario', cpfapresentada='$cpfapresentada', cpfdigitalizada='$cpfdigitalizada', rgusuario='$rgusuario', 
       rgusuarioestado='$rgusuarioestado', rgusuariodataemissao='$rgusuariodataemissao', rgusuarioorgaoemissor='$rgusuarioorgaoemissor', 
       rgusuarioapresentada='$rgusuarioapresentada', rgusuariodigitalizada='$rgusuariodigitalizada', carteiratrabusuario='$carteiratrabusuario', 
       carteiratrabusuarioserie='$carteiratrabusuarioserie', carteiratrabusuarioestado='$carteiratrabusuarioestado', carteiratrabusuariodataemissao='$carteiratrabusuariodataemissao', 
       carteiratrabusuarioapresentada='$carteiratrabusuarioapresentada', carteiratrabusuariodigitalizada='$carteiratrabusuariodigitalizada', 
       titeleitorusuario='$titeleitorusuario', titeleitorusuariozona='$titeleitorusuariozona', titeleitorusuariosecao='$titeleitorusuariosecao', 
       titeleitorusuarioapresentada='$titeleitorusuarioapresentada', titeleitorusuariodigitalizada='$titeleitorusuariodigitalizada', 
       pispasepusuario='$pispasepusuario', pispasepusuarioapresentada='$pispasepusuarioapresentada', pispasepusuariodigitalizada='$pispasepusuariodigitalizada', 
       certidaotipousuario='$certidaotipousuario', certidaofolhausuario='$certidaofolhausuario', certidaotermousuario='$certidaotermousuario', 
       certidaolivrousuario='$certidaolivrousuario', certidaocartoriousuario='$certidaocartoriousuario', certidaocartoriousuarioapresentada='$certidaocartoriousuarioapresentada', 
       certidaocartoriodigitalizadausuario='$certidaocartoriodigitalizadausuario', certidaousuariodataemissao='$certidaousuariodataemissao', 
       cartmotoristausuario='$cartmotoristausuario', cartmotoristaapresentada='$cartmotoristaapresentada', cartmotoristadigitalizada='$cartmotoristadigitalizada', 
       logradourotipousuario='$logradourotipousuario', logradouronomeusuario='$logradouronomeusuario', logradouronumerousuario='$logradouronumerousuario', 
       logradourocomplementousuario='$logradourocomplementousuario', logradourobairrousuario='$logradourobairrousuario', logradourocidadeusuario='$logradourocidadeusuario', 
       logradourocepusuario='$logradourocepusuario', logradourogeoiguacuusuario='$logradourogeoiguacuusuario', logradouronaocadastradousuario='$logradouronaocadastradousuario', 
       logradourotipojustificativa='$logradourotipojustificativa', logradourojustificativausuario='$logradourojustificativausuario', 
       logradouropontoreferenciausuario='$logradouropontoreferenciausuario', telefonefixousuario='$telefonefixousuario', telefonecelularusuario='$telefonecelularusuario', 
       telefonerecadousuario='$telefonerecadousuario', emailusuario='$emailusuario', possuitelefonefixousuario='$possuitelefonefixousuario', 
       possuitelefonecelularusuario='$possuitelefonecelularusuario', possuitelefonerecadousuario='$possuitelefonerecadousuario', 
       possuiemailusuario='$possuiemailusuario', enderecocorrespomesmo='$enderecocorrespomesmo', logradourocorresptipousuario='$logradourocorresptipousuario', 
       logradourocorrespnomeusuario='$logradourocorrespnomeusuario', logradourocorrespnumerousuario='$logradourocorrespnumerousuario', 
       logradourocorrespcomplementousuario='$logradourocorrespcomplementousuario', logradourocorrespbairrousuario='$logradourocorrespbairrousuario', 
       logradourocorrespcidadeusuario='$logradourocorrespcidadeusuario', logradourocorrespcepusuario='$logradourocorrespcepusuario', 
       estuda='$estudausuario', turnoestudo='$turnoestudousuario', escolaridade='$escolaridadeusuario', 
       trabalha='$trabalhousuario', tipotrabalho='$tipotrabalhousuario', lazeroutros='$outrolazer', locallazeroutro='$outrolocallazer', 
       logradouroufusuario='$logradouroufusuario', logradourocorrespufusuario='$logradourocorrespufusuario', nacionalidadeusuario = $nacionalidadeusuario, codigopaisusuario = $codigopaisusuario,
       idpessoa=$idpessoa
 WHERE codigousuario=$codigousuario;";

$sql = retiraAcentos($sql);

$sql = str_replace("''","null",$sql);

$result = pg_query($dbh, $sql);

if (!$result)
{
 die(pg_last_error());
   $result = pg_query($dbh, "ROLLBACK");
   if (!$result)
   {
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   
   $erro = "Erro na Atualizacao do Usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
   exit;
}

// Atualiza historico de usuario

/*
  echo "valores <br>";
  echo "codigo: " . $codigousuario . "<br>";
  echo "estuda: " . $estudausuario . "<br>";
  echo "turno: " . "$turnoestudousuario" . "<br>";
  echo "escolaridade: " . "$escolaridadeusuario" . "<br>";
  echo "trabalha: " . $trabalhousuario . "<br>";
  echo "tipo trabalho: " . "$tipotrabalhousuario" . "<br>";
  echo "Outro lazer: " . $outrolazer . "<br>";
  echo "outro local lazer: " . $outrolocallazer . "<br>";
*/

  
$sql =
     "INSERT INTO cultura.historicousuario
     (
             codigousuario,
             dataatualizacao,
             estuda,
             turnoestudo,
             escolaridade,
             trabalha,
             tipotrabalho,
             lazeroutros,
             locallazeroutro,
             idpessoa
     )
     VALUES
     (
            '$codigousuario',
             now(),
            '$estudausuario',
             '$turnoestudousuario' ,
             '$escolaridadeusuario',
            '$trabalhousuario',
             '$tipotrabalhousuario',
            '$outrolazer',
            '$outrolocallazer',
             $idpessoa
     )";

$sql = retiraAcentos($sql);
$sql = str_replace("''","null",$sql);


$result = pg_query($dbh, $sql);

if (!$result)
{
 die(pg_last_error());
   $result = pg_query($dbh, "ROLLBACK");
   if (!$result)
   {
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Historico de Usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
   exit;
}


?>
